Package ru.bitel.bgbilling.modules.bill.server.bean

# Class ExtractorPositionValue

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.bill.server.bean.PositionValue
ru.bitel.bgbilling.modules.bill.server.bean.ExtractorPositionValue

All Implemented Interfaces:
  `ContractIdable`

public class ExtractorPositionValue extends PositionValue

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtractorPositionValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getModuleId()`
  `int`
  `getServiceId()`
  `ExtractorPositionValue`
  `setModuleId(int moduleId)`
  `ExtractorPositionValue`
  `setName(String name)`
  `ExtractorPositionValue`
  `setQuantity(BigDecimal val)`
  `ExtractorPositionValue`
  `setServiceId(int serviceId)`
  `ExtractorPositionValue`
  `setSum(BigDecimal sum)`
  `ExtractorPositionValue`
  `setUnit(String unit)`
  `void`
  `toElement(XMLStreamWriter el)`
  `void`
  `toElement(Element el)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.PositionValue

  `getCost, getExtractPositions, getName, getNds, getParams, getPosition, getPositionId, getQtyNumsAfterComma, getQtyNumsRoundingMode, getQuantity, getSum, getSumScaled, getSumUnscaled, getUnit, getUnitCode, isAddWhenLessZero, isInSumm, setAddWhenLessZero, setContractId, setCost, setExtractPositions, setInSumm, setNds, setParams, setPosition, setPositionId, setQtyNumsAfterComma, setQtyNumsRoundingMode, setSumScaled, setSumUnscaled, setUnitCode, toDocumentPosition`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtractorPositionValue

    public ExtractorPositionValue()

- ## Method Details

  - ### getModuleId

    public int getModuleId()

  - ### getServiceId

    public int getServiceId()

  - ### setModuleId

    public ExtractorPositionValue setModuleId(int moduleId)

  - ### setServiceId

    public ExtractorPositionValue setServiceId(int serviceId)

  - ### setSum

    public ExtractorPositionValue setSum(BigDecimal sum)
    Overrides:
      `setSum` in class `PositionValue`

  - ### setName

    public ExtractorPositionValue setName(String name)
    Overrides:
      `setName` in class `PositionValue`

  - ### setQuantity

    public ExtractorPositionValue setQuantity(BigDecimal val)
    Overrides:
      `setQuantity` in class `PositionValue`

  - ### setUnit

    public ExtractorPositionValue setUnit(String unit)
    Overrides:
      `setUnit` in class `PositionValue`

  - ### toElement

    public void toElement(Element el)
    Overrides:
      `toElement` in class `PositionValue`

  - ### toElement

    public void toElement(XMLStreamWriter el) throws XMLStreamException
    Overrides:
      `toElement` in class `PositionValue`
    Throws:
      `XMLStreamException`